#!/bin/sh
set -e

case "$1" in
  configure)
    if dpkg --compare-versions "$2" lt-nl "3.2.1-21~" ; then
        update-alternatives --force --auto glx 2>/dev/null || true
        dpkg-trigger register-glx-alternative-nvidia
    fi

    # this has a chance of crashing the machine with mainline kernels...
    grep -q '^nouveau ' /proc/modules && rmmod nouveau || true
    ;;
esac

#DEBHELPER#
